Page MenuHomePhabricator

Flow: renderHeader fatal error visiting Flow page without a header
Closed, ResolvedPublic

Description

We don't think this ever appeared in production.

If you enable Flow for a namespace and visit a new page in it, you get

Catchable fatal error: Argument 1 passed to Flow\Templating::renderHeader() must be an instance of Flow\Model\Header, null given, called in /home/spage/projects/core/extensions/Flow/includes/Block/Header.php on line 177 and defined in /home/spage/projects/core/extensions/Flow/includes/Templating.php on line 208


Version: master
Severity: normal

Details

Reference
bz62159

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:53 AM
bzimport set Reference to bz62159.
bzimport added a subscriber: Unknown Object (MLST).
Spage created this task.Mar 3 2014, 7:45 PM

Change 116480 had a related patch set uploaded by Matthias Mullie:
Header should render even if no header exists yet

https://gerrit.wikimedia.org/r/116480

Change 116480 merged by jenkins-bot:
Header should render even if no header exists yet

https://gerrit.wikimedia.org/r/116480

Not seeing this, so declaring fixed.

This issue is still occurring for me on my own install of Vagrant. I followed the instructions on mediawiki.org for enabling Flow on the User talk namespace, and now when I go to a user talk page I get this error. Reopening as such.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:39 AM